Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85200 - pstack fails for posix-threaded programs with only the main thread
Summary: pstack fails for posix-threaded programs with only the main thread
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pstack
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-26 16:45 UTC by David Juran
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-12-04 10:22:13 UTC


Attachments (Terms of Use)
testcase (deleted)
2003-02-26 16:46 UTC, David Juran
no flags Details
and this remedies the problem (deleted)
2003-02-26 17:02 UTC, David Juran
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:250 normal SHIPPED_LIVE Pstack bugfix errata 2003-12-19 05:00:00 UTC
Red Hat Product Errata RHBA-2003:362 normal SHIPPED_LIVE Updated pstack packages include several bugfixes 2003-11-18 05:00:00 UTC

Description David Juran 2003-02-26 16:45:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
pstack doesn't work for a program that only has one single thread, but is
compiled with the option -pthread.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.gcc -o test -pthread test.c
2. ./test
3.now attach to test with pstack and note that you don't get any output.
    

Actual Results:  32736: ./test

Expected Results:  32736: ./test
0x08048304: main + 0x10 (1, bffff0c4, bffff0cc, 400124b8, 1, 8048244)
0x420158d4: __libc_start_main + 0xa4 (80482f4, 1, bffff0c4, 804820c, 804832c,
4000a950) + 40000f48


Additional info:

Comment 1 David Juran 2003-02-26 16:46:15 UTC
Created attachment 90380 [details]
testcase

Comment 2 David Juran 2003-02-26 17:02:34 UTC
Created attachment 90382 [details]
and this remedies the problem

Comment 3 Roland McGrath 2003-11-12 01:40:16 UTC
I've implemented a different fix.  Thanks for the report.

Comment 4 David Juran 2003-12-04 10:22:13 UTC
Seems to work fine (-:

Comment 5 John Flanagan 2003-12-19 14:41:42 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-250.html



Note You need to log in before you can comment on or make changes to this bug.